Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eu.osci.messagetypes
Class OSCIMsgBoxFetchResponse

    java.lang.Object
      eu.osci.messagetypes.OSCIMessage
          eu.osci.messagetypes.OSCIMsgBoxFetchResponse

    public class OSCIMsgBoxFetchResponse

extends OSCIMessage

This class will be returned if the client sends a MsgBoxFetchRequest. It includes the fetched message with the payload and all important header elements.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Field Summary

Fields inherited from class eu.osci.messagetypes.OSCIMessage
`text`

Constructor Summary
`OSCIMsgBoxFetchResponse(com.sun.xml.ws.api.message.Message _soapMessage)` This constructor will be used to parse the incoming SOAP header elements.

Method Summary
`java.lang.String` | `getFetchIteratorID()` Returns the id that was generated by the server for the search parameter of the request message.
`long` | `getItemsPending()` Returns the count of the next available messages.
`eu.osci.ws._2008._05.transport.MsgBoxResponseType` | `getMsgBoxResponse()` Returns the metadata for the selection.
`OSCIRequest` | `getReceiveMessage()` Returns the created fetched OSCI message.
`com.sun.xml.ws.api.message.Message` | `getReceiveMessageAsSoapMessage()` Returns the whole OSCI message of associated request message.
`void` | `getReceiveMessageStream(java.io.OutputStream out)` Returns the whole OSCI message of associated request message.
`boolean` | `noMessageFoundForSelection()` Returns true if there are no messages found for the selection.

Methods inherited from class eu.osci.messagetypes.OSCIMessage
`getAction, getAdditionalHeaderList, getMessageId, getTo, setAction, setAdditionalHeaderList, setMessageId, setTo`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OSCIMsgBoxFetchResponse

    public OSCIMsgBoxFetchResponse(com.sun.xml.ws.api.message.Message _soapMessage)
                            throws javax.xml.bind.JAXBException

  This constructor will be used to parse the incoming SOAP header elements. It will be called by the send method of the associate request message.

  Parameters:
    `_soapMessage` - The incoming SOAP message with the given header and body elements.
  Throws:
    `javax.xml.bind.JAXBException` - In case that the header elements could not be parsed.

Method Detail

### getMsgBoxResponse

    public eu.osci.ws._2008._05.transport.MsgBoxResponseType getMsgBoxResponse()

  Returns the metadata for the selection. In most cases the methods `getItemsPending()`, `getFetchIteratorID()` and `noMessageFoundForSelection()` can be used.

### getItemsPending

    public long getItemsPending()

  Returns the count of the next available messages.

  Returns:
    The count of pending messages.

### noMessageFoundForSelection

    public boolean noMessageFoundForSelection()

  Returns true if there are no messages found for the selection.

  Returns:
    False if messages are found otherwise true.

### getFetchIteratorID

    public java.lang.String getFetchIteratorID()

  Returns the id that was generated by the server for the search parameter of the request message. The fetchIteratorId could be used for getNext requests.

  Returns:
    The generated id for next requests.

### getReceiveMessageStream

    public void getReceiveMessageStream(java.io.OutputStream out)
                                 throws javax.xml.transform.TransformerException

  Returns the whole OSCI message of associated request message. The whole OSCI message will be returned with all header information and the payload in the body.

  Parameters:
    `out` - An OutputStream where the data could be written to.
  Throws:
    `javax.xml.transform.TransformerException` - If there are errors getting the stream.

### getReceiveMessageAsSoapMessage

    public com.sun.xml.ws.api.message.Message getReceiveMessageAsSoapMessage()

  Returns the whole OSCI message of associated request message. The whole OSCI message will be returned with all header information and the payload in the body.

  Returns:
    The SOAP message.

### getReceiveMessage

    public OSCIRequest getReceiveMessage()

  Returns the created fetched OSCI message.

  Returns:
    The parsed OSCIRequest message out of the OSCIMsgBoxFetchResponse.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Freie Hansestadt Bremen.